Subject: bug#21472: 25.0.50; REGRESSION: (emacs) `Coding Systems' uses curly quotes for Lisp strings

From: Drew Adams <[email-masked]>
Date: Wed, 16 Sep 2015 08:16:18 -0700 (PDT)

> It doesn't look good to me.  "Unix" is not used here in a literal
> sense, it stands for all Unix-like systems (a.k.a. "Posix"), including
> GNU/Linux.  Likewise, "DOS" stands for MS-DOS, MS-Windows, and similar
> systems.

So you say, but does the text say that?  How does a reader get
that from the manual?  Just please put that _in words_, and forget
the problematic use of lowercase and quotation marks here.  IOW,
say what you really mean.

> Removing the quotes here changed the meaning.

What meaning?  There was no meaning given.  No guessing would
lead a reader to understand what you've now written as an
explanation of what you meant the text to say.

> That's also the problem with many other changes Paul made: where
> previously a quoted "FOO" frequently meant "like FOO, but not really
> FOO", now we have just the literal FOO, and the reader is none the
> wiser.
> 
> Shame on us for failing to write good expressive English for fear of
> quotes.

Couldn't agree more with the first part.  Throwing some quotes
around bits of text without care typically hurts instead of helps.

Let us "write good expressive English", by all means.  Just say
what you mean the text to say, instead of hoping that readers will
guess your meaning because of some quote marks.

FWIW, I agree with you wrt your remarks about indexing and using
quote marks to indicate "so-called".  My remarks here, and this
entire bug report, have to do only with the particular quoted
terms that this report calls out.

There might be other such in the manual, but if so they should
be handled outside this bug report and judged case by case, just
like those reported here.

(Use of quote marks to mean "so-called" or "not literally":
http://www.grammar-monster.com/lessons/quotation_(speech)_marks_meaning_alleged_so-called.htm)